layer tree embedded widgets do not show up for raster layers

2018-09-26 11:59 PM - Ricardo Silva

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27786

Description

When adding a widget to a raster layer's legend via the layer properties'->legend section nothing is shown on the layer tree.

This works OK for vector layers though.

This issue was originally discussed on QGIS dev mailing list. See this thread for more context:

https://lists.osgeo.org/pipermail/qgis-developer/2018-September/054662.html

Related issues:

Related to QGIS Application - Bug report # 18608: Layer tree embedded widgets... Closed 2018-04-02

History

#1 - 2018-09-27 12:00 AM - Ricardo Silva

- Related to Bug report #18608: Layer tree embedded widgets do not show up unless you move layer added

#2 - 2018-10-10 03:34 PM - Alessandro Pasotti

- Resolution set to duplicate

- Status changed from Open to Closed
